Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.webservice
Class PotentialDuplicateSearchObjectBean

    java.lang.Object
      com.sun.mdm.index.webservice.PotentialDuplicateSearchObjectBean

public class PotentialDuplicateSearchObjectBean
extends java.lang.Object

Field Summary
`(package private) int` | `mPageNumber`

Constructor Summary
`PotentialDuplicateSearchObjectBean()` Creates a new instance of the PotentialDuplicateSearchObjectBean class.

Method Summary
`java.util.Date` | `getCreateEndDate()` Retrieves the value of the endDate field to be used in a potential duplicate search.
`java.util.Date` | `getCreateStartDate()` Retrieves the value of the startDate field to be used in a potential duplicate search.
`java.lang.String` | `getCreateUser()` Retrieves the value of the createUser field (the user ID of the user who created the potential duplicate records) to be used in a potential duplicate search.
`java.lang.String[]` | `getEUIDs()` Retrieves a string array of EUIDs to use as criteria for a potential duplicate search.
`java.lang.String` | `getLocalId()` Retrieves the value of the local id field to be used in a potential duplicate search.
`int` | `getMaxElements()` Get max number of records to retrieve.
`int` | `getPageNumber()` Get page number.
`int` | `getPageSize()` Get number of records transferred to caller when data is required.
`PotentialDuplicateSearchObject` | `getPotentialDuplicateSearchObjec()` Get Potential Duplicate Search Object
`java.util.Date` | `getResolvedEndDate()` Retrieves the value of the resolvedEndDate field to be used in a potential duplicate search.
`java.util.Date` | `getResolvedStartDate()` Retrieves the value of the resolvedStartDate field to be used in a potential duplicate search.
`java.lang.String` | `getResolvedUser()` Retrieves the value of the resolvedUser field (the user ID of the user who resolved the potential duplicates) to be used in a potential duplicate search.
`java.lang.String` | `getStatus()` Retrieves the value of the status field to be used in a potential duplicate search.
`java.lang.String` | `getSystemCode()` Retrieves the value of the systemCode field to be used in a potential duplicate search.
`void` | `setCreateEndDate(java.util.Date endDate)` Sets the ending date for an instance of PotentialDuplicateSearchObjectBean.
`void` | `setCreateStartDate(java.util.Date startDate)` Sets the starting date for an instance of PotentialDuplicateSearchObjectBean.
`void` | `setCreateUser(java.lang.String systemUser)` Sets the create user ID for an instance of PotentialDuplicateSearchObjectBean.
`void` | `setEUIDs(java.lang.String[] euids)` Sets an array of enterprise-wide identifiers (EUIDs) for an instance of PotentialDuplicateSearchObjectBean.
`void` | `setLocalId(java.lang.String lid)` Sets the local ID for an instance of PotentialDuplicateSearchObjectBean.
`void` | `setMaxElements(int maxElements)` Set max number of records to retrieve.
`void` | `setPageNumber(int pageNumber)` Set page number.
`void` | `setPageSize(int pageSize)` Set number of records transferred to caller when data is required.
`void` | `setResolvedEndDate(java.util.Date endDate)` Sets the resolved end date for an instance of PotentialDuplicateSearchObjectBean.
`void` | `setResolvedStartDate(java.util.Date startDate)` Sets the resolved start date for an instance of PotentialDuplicateSearchObjectBean.
`void` | `setResolvedUser(java.lang.String systemUser)` Sets the resolved user ID for an instance of PotentialDuplicateSearchObjectBean.
`void` | `setStatus(java.lang.String status)` Sets the status for an instance of PotentialDuplicateSearchObjectBean.
`void` | `setSystemCode(java.lang.String systemCode)` Sets the system code for an instance of PotentialDuplicateSearchObjectBean.
`void` | `setType(java.lang.String type)` Sets the type for an instance of PotentialDuplicateSearchObjectBean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mPageNumber

    int mPageNumber

Constructor Detail

### PotentialDuplicateSearchObjectBean

    public PotentialDuplicateSearchObjectBean()

  Creates a new instance of the PotentialDuplicateSearchObjectBean class.

  Parameters:
    None.

Method Detail

### getCreateEndDate

    public java.util.Date getCreateEndDate()

  Retrieves the value of the endDate field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The end date for the potential duplicate search.
  Throws:
    None.

### getCreateStartDate

    public java.util.Date getCreateStartDate()

  Retrieves the value of the startDate field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The starting date for the potential duplicate search.
  Throws:
    None.

### getCreateUser

    public java.lang.String getCreateUser()

  Retrieves the value of the createUser field (the user ID of the user who created the potential duplicate records) to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String` - A user logon ID.
  Throws:
    None.

### getEUIDs

    public java.lang.String[] getEUIDs()

  Retrieves a string array of EUIDs to use as criteria for a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String[]` - A string array containing EUIDs.
  Throws:
    None.

### getLocalId

    public java.lang.String getLocalId()

  Retrieves the value of the local id field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String` - The value of the local ID field.
  Throws:
    None.

### getMaxElements

    public int getMaxElements()

  Get max number of records to retrieve.

  Returns:
    max elements

### getPageNumber

    public int getPageNumber()

  Get page number.

  Returns:
    page number

### getPageSize

    public int getPageSize()

  Get number of records transferred to caller when data is required.

  Returns:
    page size

### getPotentialDuplicateSearchObjec

    public PotentialDuplicateSearchObject getPotentialDuplicateSearchObjec()

  Get Potential Duplicate Search Object

  Returns:
    Potential Duplicate Search Object

### getResolvedEndDate

    public java.util.Date getResolvedEndDate()

  Retrieves the value of the resolvedEndDate field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The resolved end date for the potential duplicate search.
  Throws:
    None.

### getResolvedStartDate

    public java.util.Date getResolvedStartDate()

  Retrieves the value of the resolvedStartDate field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The starting date for a search for resolved potential duplicate records.
  Throws:
    None.

### getResolvedUser

    public java.lang.String getResolvedUser()

  Retrieves the value of the resolvedUser field (the user ID of the user who resolved the potential duplicates) to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String` - The logon ID of the user who resolved the records to find.
  Throws:
    None.

### getStatus

    public java.lang.String getStatus()

  Retrieves the value of the status field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String` - The value of the status field. One of the following values is returned:
    - A - Indicates the pair has been auto resolved.
    - R - Indicates the pair has been resolved.
    - Unresolved.
  Throws:
    None.

### getSystemCode

    public java.lang.String getSystemCode()

  Retrieves the value of the systemCode field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String` - A string containing a system code.
  Throws:
    None.

### setCreateEndDate

    public void setCreateEndDate(java.util.Date endDate)

  Sets the ending date for an instance of PotentialDuplicateSearchObjectBean. Use this method with setCreateStartDate to search for potential duplicates created between these two dates.

  Parameters:
    `endDate` - The end date for the potential duplicate search.
  Returns:
    `void` - None.
  Throws:
    None.

### setCreateStartDate

    public void setCreateStartDate(java.util.Date startDate)

  Sets the starting date for an instance of PotentialDuplicateSearchObjectBean. Use this method with setCreateEndDate to search for potential duplicates created between these two dates.

  Parameters:
    `startDate` - The starting date for the potential duplicate search.
  Returns:
    `void` - None.
  Throws:
    None.

### setCreateUser

    public void setCreateUser(java.lang.String systemUser)

  Sets the create user ID for an instance of PotentialDuplicateSearchObjectBean.

  Parameters:
    `systemUser` - A string containing a user ID.
  Returns:
    `void` - None.
  Throws:
    None.

### setEUIDs

    public void setEUIDs(java.lang.String[] euids)

  Sets an array of enterprise-wide identifiers (EUIDs) for an instance of PotentialDuplicateSearchObjectBean.

  Parameters:
    `euids` - A string array containing the desired EUIDs.
  Returns:
    `void` - None.
  Throws:
    None.

### setLocalId

    public void setLocalId(java.lang.String lid)

  Sets the local ID for an instance of PotentialDuplicateSearchObjectBean.

  Parameters:
    `lid` - A string containing a local ID.
  Returns:
    `void` - None.
  Throws:
    None.

### setMaxElements

    public void setMaxElements(int maxElements)

  Set max number of records to retrieve.

  Parameters:
    `maxElements` - maximum elements

### setPageNumber

    public void setPageNumber(int pageNumber)

  Set page number.

  Parameters:
    `pageNumber` - page number

### setPageSize

    public void setPageSize(int pageSize)

  Set number of records transferred to caller when data is required.

  Parameters:
    `pageSize` - page size

### setResolvedEndDate

    public void setResolvedEndDate(java.util.Date endDate)

  Sets the resolved end date for an instance of PotentialDuplicateSearchObjectBean. Use this method with setResolvedStartDate to search for potential duplicates resolved between these two dates.

  Parameters:
    `endDate` - The resolved end date for a potential duplicate search.
  Returns:
    `void` - None.
  Throws:
    None.

### setResolvedStartDate

    public void setResolvedStartDate(java.util.Date startDate)

  Sets the resolved start date for an instance of PotentialDuplicateSearchObjectBean. Use this method with setResolvedEndDate to search for potential duplicates resolved between these two dates.

  Parameters:
    `startDate` - The resolved start date for the potential duplicate search.
  Returns:
    `void` - None.
  Throws:
    None.

### setResolvedUser

    public void setResolvedUser(java.lang.String systemUser)

  Sets the resolved user ID for an instance of PotentialDuplicateSearchObjectBean.

  Parameters:
    `systemUser` - A string containing the logon ID of the user who resolved the records to find.
  Returns:
    `void` - None.
  Throws:
    None.

### setStatus

    public void setStatus(java.lang.String status)

  Sets the status for an instance of PotentialDuplicateSearchObjectBean.

  Parameters:
    `status` - A string containing a status. Possible values are:
    - A - Indicates the pair has been auto resolved.
    - R - Indicates the pair has been resolved.
    - Unresolved.
  Returns:
    `void` - None.
  Throws:
    None.

### setSystemCode

    public void setSystemCode(java.lang.String systemCode)

  Sets the system code for an instance of PotentialDuplicateSearchObjectBean.

  Parameters:
    `systemCode` - A string containing a system code.
  Returns:
    `void` - None.
  Throws:
    None.

### setType

    public void setType(java.lang.String type)

  Sets the type for an instance of PotentialDuplicateSearchObjectBean.

  Parameters:
    `type` - A string containing a type.
  Returns:
    `void` - None.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.